Package org.apache.batchee.camel.component

## Class JBatchEndpoint

- java.lang.Object
- - org.apache.camel.support.ServiceSupport
  - - org.apache.camel.impl.DefaultEndpoint
    - - org.apache.batchee.camel.component.JBatchEndpoint

- All Implemented Interfaces:
    `org.apache.camel.CamelContextAware`, `org.apache.camel.Endpoint`, `org.apache.camel.IsSingleton`, `org.apache.camel.Service`, `org.apache.camel.ShutdownableService`, `org.apache.camel.spi.HasId`, `org.apache.camel.StatefulService`, `org.apache.camel.SuspendableService`

      public class JBatchEndpoint
      extends org.apache.camel.impl.DefaultEndpoint

- - ### Field Summary

    - ### Fields inherited from class org.apache.camel.support.ServiceSupport

      `shutdown, shuttingdown, started, starting, stopped, stopping, suspended, suspending`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JBatchEndpoint​(String uri, String remaining, org.apache.camel.Component jBatchComponent, javax.batch.operations.JobOperator operator)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.camel.Consumer` | `createConsumer​(org.apache.camel.Processor processor)` |
    `org.apache.camel.Producer` | `createProducer()` |
    `boolean` | `isSingleton()` |
    `void` | `setAbandon​(boolean abandon)` |
    `void` | `setRestart​(boolean restart)` |
    `void` | `setStop​(boolean stop)` |
    `void` | `setSynchronous​(int synchronous)` |

    - ### Methods inherited from class org.apache.camel.impl.DefaultEndpoint

      `configureConsumer, configureProperties, createEndpointConfiguration, createEndpointUri, createExchange, createExchange, createExchange, createPollingConsumer, doStart, doStop, equals, getCamelContext, getComponent, getConsumerProperties, getEndpointConfiguration, getEndpointKey, getEndpointUri, getExchangePattern, getId, hashCode, isLenientProperties, isSynchronous, setCamelContext, setConsumerProperties, setEndpointConfiguration, setEndpointUri, setEndpointUriIfNotSpecified, setExchangePattern, setSynchronous, toString`

    - ### Methods inherited from class org.apache.camel.support.ServiceSupport

      `doResume, doShutdown, doSuspend, getStatus, getVersion, isRunAllowed, isStarted, isStarting, isStopped, isStopping, isStoppingOrStopped, isSuspended, isSuspending, resume, shutdown, start, stop, suspend`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.camel.Service

      `start, stop`

- - ### Constructor Detail

    - #### JBatchEndpoint

          public JBatchEndpoint​(String uri,
                                String remaining,
                                org.apache.camel.Component jBatchComponent,
                                javax.batch.operations.JobOperator operator)

  - ### Method Detail

    - #### createProducer

          public org.apache.camel.Producer createProducer()
                                                   throws Exception

      Throws:
        `Exception`

    - #### setSynchronous

          public void setSynchronous​(int synchronous)

    - #### setRestart

          public void setRestart​(boolean restart)

    - #### setAbandon

          public void setAbandon​(boolean abandon)

    - #### setStop

          public void setStop​(boolean stop)

    - #### createConsumer

          public org.apache.camel.Consumer createConsumer​(org.apache.camel.Processor processor)
                                                   throws Exception

      Throws:
        `Exception`

    - #### isSingleton

          public boolean isSingleton()